
From: OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>

ioctx_alloc() leaks an mm->mm_count ref on an error path.



 fs/aio.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/aio.c~aio-mm-leak-fix fs/aio.c
--- 25/fs/aio.c~aio-mm-leak-fix	2003-08-18 22:27:17.000000000 -0700
+++ 25-akpm/fs/aio.c	2003-08-18 22:27:17.000000000 -0700
@@ -258,6 +258,7 @@ out_cleanup:
 	return ERR_PTR(-EAGAIN);
 
 out_freectx:
+	mmdrop(mm);
 	kmem_cache_free(kioctx_cachep, ctx);
 	ctx = ERR_PTR(-ENOMEM);
 

_
